<%--
    Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at
   
         http://www.apache.org/licenses/LICENSE-2.0
   
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>


<html:xhtml/>
<html>
<head></head>
<body>
<h2 align="center"><bean:message key="logon.title"/></h2>
<html:errors/>

<html:form action="/logon" focus="username"
           onsubmit="return validateOwnerForm(this);">
    <table border="0" width="60%" align="center">

        <tr>
            <th align="right">
                <bean:message key="prompt.username"/>:
            </th>
            <td align="left">
                <html:text property="username" size="16" maxlength="16"/>
            </td>
        </tr>

        <tr>
            <th align="right">
                <bean:message key="prompt.password"/>:
            </th>
            <td align="left">
                <html:password property="password" size="16" maxlength="16"
                               redisplay="false"/>
            </td>
        </tr>

        <tr>
            <td align="right">
                <html:submit property="DO_SUBMIT">
                    <bean:message key="button.submit"/>
                </html:submit>
            </td>
            <td align="left">
                <html:reset property="DO_RESET">
                    <bean:message key="button.reset"/>
                </html:reset> &nbsp;
            </td>
        </tr>
        <tr>
        	<td align="right">
        		<html:link action="Register.do"><bean:message key="general.register"/></html:link>
        	</td>
        	<td align="left">
        		<html:link page="/admin/adminhome.html"><bean:message key="general.administration"/></html:link>
        	</td>
        </tr>

    </table>

</html:form>

<html:javascript formName="OwnerForm"/>

</body>
</html>
